libzypp 17.37.10

zypp::ESetCompareDef Class Reference

Result of set comparison (use like 'enum class SetCompare') This is the type a `compare` function should return. More...

`#include <zypp/base/SetRelationMixin.h>`

## Public Types
enum | Enum { uncomparable = 0 , equal = (1<<0) , properSubset = (1<<1) , properSuperset = (1<<2) , disjoint = (1<<3) }

## Static Public Member Functions
static const std::string & | asString (Enum val_r) ZYPP_API
| String representantion.

## Related Symbols
(Note that these are not member symbols.)
using | SetCompare = base::EnumClass<ESetCompareDef>
| typedef 'enum class SetCompare'

## Detailed Description

Result of set comparison (use like 'enum class SetCompare') This is the type a `compare` function should return.

Definition at line 28 of file SetRelationMixin.h.

## Member Enumeration Documentation

## ◆ Enum

enum zypp::ESetCompareDef::Enum

Enumerator
uncomparable | "{?}"
equal | "{=}"
properSubset | "{<}"
properSuperset | "{>}"
disjoint | "{ }"

Definition at line 29 of file SetRelationMixin.h.

## Member Function Documentation

## ◆ asString()

const std::string & zypp::ESetCompareDef::asString | ( | Enum | val_r | ) |
| static

String representantion.

Definition at line 18 of file SetRelationMixin.cc.

## Friends And Related Symbol Documentation

## ◆ SetCompare

using SetCompare = base::EnumClass<ESetCompareDef>
| related

typedef 'enum class SetCompare'

Definition at line 40 of file SetRelationMixin.h.

The documentation for this class was generated from the following files:

- zypp/base/SetRelationMixin.h
- zypp/base/SetRelationMixin.cc